﻿using Fleck;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

namespace FleckProxy
{
    static class Config
    {
        static public string CertFilename { get; set; }
        static public string CertPassword { get; set; }
        static public string RelayFilename { get; set; }
        static public string TargetHostname { get; set; }
        static public int TargetPort { get; set; }
        static public int WsPort { get; set; }
        static public int WssPort { get; set; }

        static Config()
        {
            CertFilename = "";
            CertPassword = "";
            RelayFilename = "";
            TargetHostname = "localhost";
            TargetPort = 23;
            WsPort = 0;
            WssPort = 0;
        }
    }
}
