﻿using Fleck;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Sockets;
using System.Text;

namespace FleckProxy
{
    internal class SessionData
    {
        public IWebSocketConnection ClientSocket { get; set; }
        public bool Closing { get; set; }
        public byte[] ReceiveBuffer { get; set; }
        public Socket ServerSocket { get; set; }

        public SessionData(IWebSocketConnection clientSocket, Socket serverSocket)
        {
            ClientSocket = clientSocket;
            Closing = false;
            ReceiveBuffer = new byte[1024 * 8];
            ServerSocket = serverSocket;
        }
    }
}
